import WebSocket, { WebSocketServer } from 'ws';

const server = new WebSocketServer({ port: 8080 });

server.on('connection', (socket: WebSocket) => {
	console.log('客户端已连接');

	// 发送消息到客户端
	socket.send('欢迎连接到WebSocket服务器');

	// 接收来自客户端的消息
	socket.on('message', (message: string) => {
		console.log(`收到客户端消息: ${message}`);

		// 回应消息
		socket.send(`服务器收到你的消息: ${message}`);
	});

	// 处理客户端断开连接
	socket.on('close', () => {
		console.log('客户端已断开连接');
	});
});

console.log('WebSocket服务器运行在 ws://localhost:8080');
